org.apache.felix.scrplugin

## Class Result

- java.lang.Object
- - org.apache.felix.scrplugin.Result

    public class Result
    extends Object

The result of the `SCRDescriptorGenerator`.

### Constructor Summary

Constructors
Constructor and Description
`Result()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProcessedSourceFile(String processedSourceFile)` Adds a source file to the list of processed source files
`List<String>` `getMetatypeFiles()` Return a list of generated metatype files
`List<String>` `getProcessedSourceFiles()` Returns a list of processed source files
`List<String>` `getScrFiles()` Return a list of generated scr files
`void` `setMetatypeFiles(List<String> metatypeFiles)` Set the list of metatype files
`void` `setScrFiles(List<String> scrFiles)` Set the list of scr files

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Result

    public Result()

### Method Detail

#### setMetatypeFiles

    public void setMetatypeFiles(List<String> metatypeFiles)

Set the list of metatype files

#### setScrFiles

    public void setScrFiles(List<String> scrFiles)

Set the list of scr files

#### addProcessedSourceFile

    public void addProcessedSourceFile(String processedSourceFile)

Adds a source file to the list of processed source files

Parameters:
  `processedSourceFile` - the processed source file

#### getMetatypeFiles

    public List<String> getMetatypeFiles()

Return a list of generated metatype files

Returns:
  A list of relative paths or `null`

#### getScrFiles

    public List<String> getScrFiles()

Return a list of generated scr files

Returns:
  A list of relative paths or `null`

#### getProcessedSourceFiles

    public List<String> getProcessedSourceFiles()

Returns a list of processed source files

Returns:
  the list of processed source files